DataType (Snowpark Java API Reference 1.20.0)

Package com.snowflake.snowpark_java.types

## Class DataType

- java.lang.Object
- - com.snowflake.snowpark_java.types.DataType

- All Implemented Interfaces:
    `java.io.Serializable`
  Direct Known Subclasses:
    `ArrayType`, `BinaryType`, `BooleanType`, `ByteType`, `DateType`, `DecimalType`, `DoubleType`, `FloatType`, `GeographyType`, `GeometryType`, `IntegerType`, `LongType`, `MapType`, `ShortType`, `StringType`, `StructType`, `TimestampType`, `TimeType`, `VariantType`

      public abstract class DataType
      extends java.lang.Object
      implements java.io.Serializable

  Snowpark data types
  Since:
    0.9.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DataType()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object other)` | Verifies if a DataType equals to this one.
    `int` | `hashCode()` | Calculates the hash code of this DataType Type Object.
    `java.lang.String` | `toString()` | Generates a String value to represent this DataType object.
    `java.lang.String` | `typeName()` | Retrieves the String name of this DataType object.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DataType

          public DataType()

  - ### Method Detail

    - #### typeName

          public java.lang.String typeName()

      Retrieves the String name of this DataType object.
      Returns:
        A String name of this DataType object
      Since:
        0.9.0

    - #### toString

          public java.lang.String toString()

      Generates a String value to represent this DataType object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        A String value in the format of XXXType
      Since:
        0.9.0

    - #### equals

          public boolean equals​(java.lang.Object other)

      Verifies if a DataType equals to this one.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `other` - A DataType object
      Returns:
        true if these data types are equivalent, false for otherwise.
      Since:
        0.9.0

    - #### hashCode

          public int hashCode()

      Calculates the hash code of this DataType Type Object.
      Overrides:
        `hashCode` in class `java.lang.Object`
      Returns:
        An int number representing the hash code value
      Since:
        0.9.0